apiVersion: v1
kind: Namespace
metadata:
  name: nginx-test
  labels:
    app: nginx-test
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-test
  namespace: nginx-test
spec:
  replicas: 2
  selector:
    matchLabels:
      app: nginx-test
  template:
    metadata:
      labels:
        app: nginx-test
    spec:
      containers:
        - name: nginx-test
          image: nginx
---
apiVersion: v1
kind: Service
metadata:
  name: nginx-test-cluster-ip
  namespace: nginx-test
  labels:
    app: nginx-test
spec:
  type: ClusterIP
  ports:
    - port: 80
      targetPort: 80
  selector:
    app: nginx-test
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    kubernetes.io/ingress.class: nginx
  name: nginx-test
  namespace: nginx-test
  labels:
    app: nginx-test
spec:
  defaultBackend:
    service:
      name: nginx-test-cluster-ip
      port:
        number: 80
  rules:
    - host:
      http:
        paths:
        - pathType: Prefix
          path: /
          backend:
            service:
              name: nginx-test-cluster-ip
              port:
                number: 80
